Aller au contenu
Vosky

[NIGHTLY] Firefox OS avec Spark

Recommended Posts

Mes versions ne sont pas compatibles multiroms, il faut les flasher avec fastboot.

Tu as toutes les commandes dans le premier post.

Arf.... Ça m'intéresse de l'essayer mais bon l'idéal ça aurait été en secondes rom

Tant pis :/

Sent with Miui on my Nexus 5

Modifié par Kitkatdroid

Partager ce message


Lien à poster
Partager sur d’autres sites

@@tos69400 :

Salut,

La dernière fois que j'ai essayé (mi-juillet) c'était pareil au niveau de l'appareil photo et de la led.

Pour la 4G, je ne sais pas. J'habite à la campagne et il n'y a pas d'antenne 4G.

 

Comme dis dans le premier post, je ne peux pas tester toutes les builds.

Si certains on l'occasion de tester les builds, les retours sont les bienvenus. ^_^

Partager ce message


Lien à poster
Partager sur d’autres sites

Les builds du lundi 6 octobre seront les dernières que je publierai avant un certain temps (voir les dernières tout court).

 

La machine qui compile actuellement les builds va prendre sa retraite.

Elle est sous Ubuntu 12.04, la distribution conseillée par Mozilla pour compiler Firefox OS.

 

La prochaine machine sera sur un OS plus à jour donc ce n'est pas sûr que j'arrive à compiler des builds dessus.

Il va de toute manière falloir plusieurs jours pour de tout réinstaller proprement.

Quand on voit le peu de téléchargements, je me dit que ça vaut peut-être pas le coup de mettre en place tout un environnement de compilation juste pour ces builds.

 

Dans tous les cas, le site de téléchargement (ffos.vosky.fr) reste ouvert car il n'est pas hébergé sur la même machine.

Partager ce message


Lien à poster
Partager sur d’autres sites

Salut :)

 

Nouveau dans FFOS,j'ai envie de tester la ROM sur mon Nexus 5 en multirom pour voir ce que ca donne...

Juste 2 question:

1) ROM traduite en fr ? Màj OTA disponibles ?

2) J'ai téléchargé le fichier zip de la dernière Nighlty sur le site de Vosky (que je remercie au passage) mais quand j'essaye de la flasher en recovery via multirom,ca me met une erreur avec le META-INF... (je suis pas un expert donc je sais pas ce que ca veut dire)

 

Merci beaucoup :)

Partager ce message


Lien à poster
Partager sur d’autres sites

Salut,

 

Je n'arrive pas à générer une archive compatible recovery/multirom de manière automatique. (si tu as des pistes, je suis preneur)

Il faut passer par fastboot (voir le premier post).

 

La ROM est en français par défaut avec une traduction presque complète.

Le Nexus 5 n'étant pas supporté officiellement par Mozilla, les mises à jour OTA ne sont pas disponibles.

Partager ce message


Lien à poster
Partager sur d’autres sites

Merci pour ta réponse,je vais tenter via fastboot :)

 

Sinon pour d'éventuelles pistes  ca va être compliqué,je ne développe pas je me contente de flasher et tester,par contre si je peux aider en quoi que ce soit ca sera avec plaisir !

Partager ce message


Lien à poster
Partager sur d’autres sites

Si tu arrives à flasher Firefox OS, peux-tu nous faire un retour ?

 

Je n'ai pas eu l'occasion de l'essayer depuis le mois de juillet.

Est-ce que les problèmes mentionnés dans le premier poste sont toujours d'actualité ?

Modifié par Vosky

Partager ce message


Lien à poster
Partager sur d’autres sites

Je suppose que tu voulais dire flasher au lieu de slasher ?

Sinon je pourrais te donner volontiers un retour quand je l'installerais =)

Envoyé de mon Nexus 5 en utilisant Tapatalk

Partager ce message


Lien à poster
Partager sur d’autres sites

Oui, un rsync mal écrit et c'est le drame.

Je m'en occupe.

  • Like 1

Partager ce message


Lien à poster
Partager sur d’autres sites

bonjour vosky , merci de compiler firefox pour la communauté . il me semble qu'il y a un problème car cela reste toujours pareil depuis quelques jours , c'est dommage car je les testes via multirom et j'en fais profiter la communauté xda . actuellement firefox est bien avancé et il ne manque plus que  la caméra comme sur la v 1.4 . si tu peux jeter un oeil , je te remerci d'avance .

  • Like 1

Partager ce message


Lien à poster
Partager sur d’autres sites

Bonjour,

Oui effectivement, depuis un moment les builds ne compilent plus correctement.

Du coup les archives contiennent toutes les mêmes fichiers qui datent de la dernière build correct.

 

Je n'ai pas encore trouvé de solution. Voici le message d'erreur :

run-js-command gaia/app
target thumb C: libc_freebsd <= bionic/libc/upstream-freebsd/lib/libc/stdio/clrerr.c
target thumb C: libc_freebsd <= bionic/libc/upstream-freebsd/lib/libc/stdio/fclose.c
target thumb C: libc_freebsd <= bionic/libc/upstream-freebsd/lib/libc/stdio/fdopen.c
target thumb C: libc_freebsd <= bionic/libc/upstream-freebsd/lib/libc/stdio/feof.c
target thumb C: libc_freebsd <= bionic/libc/upstream-freebsd/lib/libc/stdio/ferror.c
target thumb C: libc_freebsd <= bionic/libc/upstream-freebsd/lib/libc/stdio/fgetln.c
System JS : ERROR file:///srv/firefoxos/source/master/gaia/b2g_sdk/34.0a1-2014-08-12-04-02-01/b2g/components/nsHandlerService.js:120 - NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIProperties.get]
target thumb C: libc_freebsd <= bionic/libc/upstream-freebsd/lib/libc/stdio/fgetpos.c
target thumb C: libc_freebsd <= bionic/libc/upstream-freebsd/lib/libc/stdio/fgets.c
target thumb C: libc_freebsd <= bionic/libc/upstream-freebsd/lib/libc/stdio/fileno.c
target thumb C: libc_freebsd <= bionic/libc/upstream-freebsd/lib/libc/stdio/flags.c
bionic/libc/upstream-freebsd/lib/libc/stdio/fgetln.c: In function '__slbexpand':

@ : Tu testes Firefox avec multiroms ?

Ce sont mes roms que tu convertis en archives flashables par recovery ?

Si c'est le cas, peux-tu m'expliquer comment tu fais pour que je propose les 2 systèmes en téléchargement.

Partager ce message


Lien à poster
Partager sur d’autres sites

Merci pour le lien @

Je suppose que tu parles de la version postée par @ (http://forum.xda-developers.com/showpost.php?p=54558848&postcount=121).

En fait ce sont mes builds qu'il adapte en archive multirom. Il y a la "signature" de mon serveur à l'intérieur. ;)

 

@ : Du coup j'ai la réponse à mon message précédent.

Merci pour ce que tu fais également, c'est toujours plus pratique de pouvoir installer une ROM via le recovery.

Si tu le permets, j'aimerais me baser sur tes archives flashables pour pouvoir les générer automatiquement et les poster sur ffos.vosky.fr.

Partager ce message


Lien à poster
Partager sur d’autres sites

Salut,

J'ai testé en multirom, c'est pas mal, ça change vraiment de ce qu'on voit habituellement.

Dommage que le bouton central soit aussi moche lol

Sinon pas de Google play desssus ?

Partager ce message


Lien à poster
Partager sur d’autres sites

Dans les dernières nightlies, le bouton est replacé par un cercle blanc, c'est plus propre.

 

Sinon, non il n'y a pas de Google Play, c'est un OS à part qui reprend juste la base d'Android.

Toutes les applications sont en HTML.

Il y a le Mozilla marketplace à la place.

  • Like 1

Partager ce message


Lien à poster
Partager sur d’autres sites

C'est corrigé, les builds reprennent.

 

J'ajoute en plus une version flashble via le recovery.

Je n'ai pasencore pu l'essayé donc je ne sais pas ça fonctionne.

  • Like 1

Partager ce message


Lien à poster
Partager sur d’autres sites

J'ai essayé la dernière nightly en multirom, ça ne passe pas.

Edit: pas la dernière, celle du 29.

Modifié par youss59

Partager ce message


Lien à poster
Partager sur d’autres sites

En effet la dernière ne boot pas et niveau photo, je n'ai eu aucun soucis sous la 1.4

Partager ce message


Lien à poster
Partager sur d’autres sites

Super, merci !

Ton META-INF sera intégré aux prochaines builds.

Partager ce message


Lien à poster
Partager sur d’autres sites

Rejoignez la conversation

Vous pouvez poster maintenant et vous enregistrez plus tard. Si vous avez un compte, connectez-vous maintenant pour poster.

Invité
Répondre à ce sujet…

×   Collé en tant que texte enrichi.   Coller en tant que texte brut à la place

  Seulement 75 émoticônes maximum sont autorisées.

×   Votre lien a été automatiquement intégré.   Afficher plutôt comme un lien

×   Votre contenu précédent a été rétabli.   Vider l’éditeur

×   Vous ne pouvez pas directement coller des images. Envoyez-les depuis votre ordinateur ou insérez-les depuis une URL.






×
×
  • Créer...